Subject: bug#74261: 30.0.92; Remove modeline warning for explicit uses of dynamic binding

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Nov 2024 14:26:51 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Mon, 11 Nov 2024 00:13:43 -0500
> 
>   > The indication in the mode line should be
>   > (1) optional and (2) unobtrusive.
> 
>   > #2: it should just matter-of-factly tell you
>   > what mode the current buffer is in.
> 
> I contend it should be "intrusive" enough to serve as an effective
> reminder.
> 
> Once dynamic binding becomes unusual, programmers will tend to
> assume without conscious doubt that every file uses lexical binding.
> 
> So I think that the indicator that this file uses dynamic binding
> ought to be somewhat loud, so that users won't overlook it.

I tend to agree, but only if the file does not already have a
lexical-binding cookie which makes the file use dynamical binding.

Compare this with files that have an unusual encoding or an EOL format
that is not the native one on the current platform: we provide an
indication on the mode line, but don't insist on having it stand out
too much, just a little.